package com.bizmatics.mhfire.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.service.vo.AlertStatisticsVO;
import com.bizmatics.mhfire.service.vo.AlertVO;
import com.bizmatics.mhfire.service.vo.FireSiteVO;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/5/28 14:52
 * 警情
 */
public interface AlertService {


    /**
     * 查询当天24小时警情
     * @return
     */
    List<AlertStatisticsVO> getAlertStatisticsByHouse();



    /**
     * 查询每年12个月警情
     * @return
     */
    List<AlertStatisticsVO> getAlertStatisticsByMonth();


    /**
     * 警情详细信息
     * @param current
     * @param size
     * @param startTime
     * @param endTime
     * @return
     */
    CommonPage<AlertVO> page(Integer current, Integer size, Date startTime, Date endTime);

    /**
     * 查询不同警情(社会救助，警情，火灾)的占比
     * @param startTime
     * @param endTime
     * @return
     */
    List<AlertStatisticsVO> getAlertStatistics(Date startTime, Date endTime);


}
